Bug 257289 - net-im/tg_owt: Update to 0.0.20210718
Summary: net-im/tg_owt: Update to 0.0.20210718
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: https://github.com/telegramdesktop/td...
Keywords: needs-qa
Depends on:
Blocks: 257290
  Show dependency treegraph
 
Reported: 2021-07-19 23:55 UTC by Henry Hu
Modified: 2021-07-21 19:36 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (henry.hu.sh)


Attachments
patch to 20210718 (20.38 KB, patch)
2021-07-19 23:55 UTC, Henry Hu
henry.hu.sh: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2021-07-19 23:55:27 UTC
Created attachment 226559 [details]
patch to 20210718

Well, as usual, this port has no release. Since it's only used by telegram-desktop, I'll update it when I update telegram-desktop.

Please commit this together with the telegram-desktop update, which I will create a separate PR for.
Comment 2 Henry Hu 2021-07-19 23:58:26 UTC
Comment on attachment 226559 [details]
patch to 20210718

Comment on the patch:
* The build system is more friendly to users of system libraries.
* Better use the included libabsl for compatibility
Comment 3 Henry Hu 2021-07-20 00:03:58 UTC
telegram-desktop update PR: PR 257290
These 2 must be committed together.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-20 02:41:00 UTC
(In reply to Henry Hu from comment #3
)
Thank you Henry. Please add relevent/related/dependent issue ID's to the respective Blocks or "Depends On" fields

Please include links to version-specific changelogs in the URL field if they are available too
Comment 5 commit-hook freebsd_committer 2021-07-21 19:32:22 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b11d4ccc1a10d149b6185c72342bdbccfd1eb730

commit b11d4ccc1a10d149b6185c72342bdbccfd1eb730
Author:     Henry Hu <henry.hu.sh@gmail.com>
AuthorDate: 2021-07-21 19:30:40 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-07-21 19:30:40 +0000

    net-im/tg_owt: Update to 0.0.20210718

    * The build system is more friendly to users of system libraries.
    * Better use the included libabsl for compatibility

    PR:             257289

 net-im/tg_owt/Makefile                             |  8 ++--
 net-im/tg_owt/distinfo                             |  6 +--
 net-im/tg_owt/files/patch-CMakeLists.txt (gone)    | 54 ----------------------
 net-im/tg_owt/files/patch-cmake_external.cmake     | 25 ++++------
 ...patch-src_rtc__base_physical__socket__server.cc | 10 ++--
 net-im/tg_owt/pkg-plist                            | 49 +++++++++++---------
 6 files changed, 50 insertions(+), 102 deletions(-)